import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToCitizenCLSensorType Converter")

class GenericToCitizenCLSensorType(Converter):

    def Execute(self, args):
        res = ""
        if args[0] == "None":
            res = "NONE"
        elif args[0] == "Gap":
            res = "SEE THROUGH"
        elif args[0] == "Mark":
            res = "REFLECT"
        return res




plugin = GenericToCitizenCLSensorType("GenericToCitizenCLSensorType")

store.AddConverter(plugin)